require "test_helper"

class ExclusiveTraditionalRecordsControllerTest < ActionDispatch::IntegrationTest
  setup do
    @exclusive_traditional_record = exclusive_traditional_records(:one)
  end

  test "should get index" do
    get exclusive_traditional_records_url
    assert_response :success
  end

  test "should get new" do
    get new_exclusive_traditional_record_url
    assert_response :success
  end

  test "should create exclusive_traditional_record" do
    assert_difference("ExclusiveTraditionalRecord.count") do
      post exclusive_traditional_records_url, params: { exclusive_traditional_record: { author: @exclusive_traditional_record.author, description: @exclusive_traditional_record.description, name: @exclusive_traditional_record.name } }
    end

    assert_redirected_to exclusive_traditional_record_url(ExclusiveTraditionalRecord.last)
  end

  test "should show exclusive_traditional_record" do
    get exclusive_traditional_record_url(@exclusive_traditional_record)
    assert_response :success
  end

  test "should get edit" do
    get edit_exclusive_traditional_record_url(@exclusive_traditional_record)
    assert_response :success
  end

  test "should update exclusive_traditional_record" do
    patch exclusive_traditional_record_url(@exclusive_traditional_record), params: { exclusive_traditional_record: { author: @exclusive_traditional_record.author, description: @exclusive_traditional_record.description, name: @exclusive_traditional_record.name } }
    assert_redirected_to exclusive_traditional_record_url(@exclusive_traditional_record)
  end

  test "should destroy exclusive_traditional_record" do
    assert_difference("ExclusiveTraditionalRecord.count", -1) do
      delete exclusive_traditional_record_url(@exclusive_traditional_record)
    end

    assert_redirected_to exclusive_traditional_records_url
  end
end
